YR.NO Weather module

Ernst
11. bře 2018 23:14 #134632
Používáte někdo tento modul? Bong na něj dokonce má češtinu.
Výrobce už skončil s podporou, ale do nedávna mi tento modul běhal.
Nyní nezobrazuje hodnoty a v konsoli píše chyby.
Myslím, ale že oprava by nemusela být závratně složitá. Setkal se s tím někdo?

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Bong
12. bře 2018 09:44 #134637
Používám modul dokonce na J1.5 a je pořád funkční. Ale tam je verze PHP 5.6.3...

I'm sorry, my responses are limited...you must ask the right questions.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
12. bře 2018 12:20 #134643
Jestli se vám bongu chce, jukněte na www.zs-janskeho.cz/index.php/podrobne-pocasi
Ale je tam, pravda php 7
Ale dal jsem to i na ernst.8u.cz/index.php/podrobne-pocasi , kde je php 5.6.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
12. bře 2018 13:31 #134644
Nevím tedy jak přesně modul funguje, ale v konzoli to primárně píše
Google Maps API warning: NoApiKeys https://developers.google.com/maps/documentation/javascript/error-messages#no-api-keys
Tzn. chybí API klíč ke Google Maps. Mrkněte do nastavení modulu, jestli API klíč Google Maps podporuje, pokud ano, tak si jej vygenerujte a doplňte.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Bong
12. bře 2018 13:33 - 12. bře 2018 13:35 #134645
S tím nepomůžu. Programování není moje parketa.
Ale otestoval jsem to u sebe, mod_yrno2 pro J2.5 se chová tak, jak popisujete.
Jen vyběhla hromada chyb, viz.příloha.

API pro Google zadávat nelze.

I'm sorry, my responses are limited...you must ask the right questions.
Přílohy:

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
13. bře 2018 14:22 - 13. bře 2018 14:25 #134665
to Cony
ano, tu chybu jsem také zaregistroval.
ale modul neumožní zadání api klíče, jedině sáhnout dovnitř

ale nedávno to na té samé doméně běželo, tak by to API klíč ke Google Maps chtít nemělo. Nebo google zase něco změnil?

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
13. bře 2018 16:00 #134672

ernst napsal: ale nedávno to na té samé doméně běželo, tak by to API klíč ke Google Maps chtít nemělo. Nebo google zase něco změnil?

Abych pravdu řekl, nevím. Kontroloval jsem teď jedny stránky, na kterých mám mapy odedávna, takže bez klíče, a zobrazují se.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
13. bře 2018 16:19 #134673
no právě, mě tady běží google maps bez api klíče.
Nemůže být problém, že to není SSL?

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Bong
13. bře 2018 16:27 #134674
Google Maps měnil API a další podmínkou provozu byla registrace domény pro použití Google Maps a samozřejmě klíč.
Ale pro ty "hodně staré" zákazníky, kteří službu využívali, ponechal výjimku a mapy fungují se starým API a bez klíče

I'm sorry, my responses are limited...you must ask the right questions.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
13. bře 2018 16:30 - 13. bře 2018 16:31 #134676
ano, to vím, ale nevyplývá z toho žádné řešení. Také je to "velmi starý zákazník"
ale pro modul počasí se někde něco změnilo a nikdo neví proč a co

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
13. bře 2018 20:33 - 13. bře 2018 20:43 #134681
tak vyřešeno. Stačilo přeinstalovat mod_yrno2.1.3.zip (mohu poskytnout) a upravit pro češtinu dle www.joomlaportal.cz/forum/64-cestina-pro...her-module-2?start=6
vidět je na www.zs-janskeho.cz/index.php/podrobne-pocasi

ještě jsem taky aktualizoval phoca maps, ale to na to předpokládám nemělo vliv

PS předchozí chyby v konzoli zůstaly, ale modul pracuje.
Poděkovali: Bong, Kraki

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Kraki
21. bře 2018 17:17 #134766
Mohol by som sa pozrieť na ten mod_yrno2.1.3.zip? Poslal som súkromnú správu.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.